prefix	    = @prefix@
exec_prefix = @exec_prefix@
bindir	    = @bindir@

CXX	    = @CXX@
CXXFLAGS    = @CXXFLAGS@
EXEEXT	    = @EXEEXT@

INSTALL     = @INSTALL@

LDFLAGS     = @LDFLAGS@

ISIS_OBJS   = IsisGdl.o CacheMan.o Checking.o CRC32.o Fdt.o File.o \
              FileSystem.o IErrors.o IsisDb.o IsisUtil.o Master.o MFFile.o \
              stdafx.o Unimarc.o XRFFile.o


all: IsisGdl$(EXEEXT)

IsisGdl$(EXEEXT): $(ISIS_OBJS)
	$(CXX) -o IsisGdl$(EXEEXT) $(ISIS_OBJS) $(LDFLAGS)

$(ISIS_OBJS) :%.o :%.cpp
	$(CXX) -c $(CXXFLAGS) -o $@ $<

install: all
	$(INSTALL) IsisGdl$(EXEEXT) $(bindir)

clean:
	rm -f IsisGdl$(EXEEXT) $(ISIS_OBJS)

distclean: clean
	rm -f Makefile config.status config.cache config.log
